<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>EDMA3 Resource Manager: EDMA3_RM_GblErrCallbackParams Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.9 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&nbsp;Structure&nbsp;Index</span></a></li>
      <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>EDMA3_RM_GblErrCallbackParams Struct Reference<br>
<small>
[<a class="el" href="group__Edma3RMStatus.html">Completion status</a>]</small>
</h1><!-- doxytag: class="EDMA3_RM_GblErrCallbackParams" -->Global Error Callback parameters.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="edma3__rm_8h_source.html">edma3_rm.h</a>&gt;</code>
<p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__Edma3RMStatus.html#g6768147ae320fd3951df6762133d2ede">EDMA3_RM_GblErrCallback</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__GblErrCallbackParams.html#7e71d5910d29c6a69576c3f860f6b272">gblerrCb</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__GblErrCallbackParams.html#f2a780928d2b6918ec49426a8ea60144">gblerrData</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Global Error Callback parameters. 
<p>
Consists of the Callback function and the data to be passed to it. <hr><h2>Field Documentation</h2>
<a class="anchor" name="7e71d5910d29c6a69576c3f860f6b272"></a><!-- doxytag: member="EDMA3_RM_GblErrCallbackParams::gblerrCb" ref="7e71d5910d29c6a69576c3f860f6b272" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Edma3RMStatus.html#g6768147ae320fd3951df6762133d2ede">EDMA3_RM_GblErrCallback</a> <a class="el" href="structEDMA3__RM__GblErrCallbackParams.html#7e71d5910d29c6a69576c3f860f6b272">EDMA3_RM_GblErrCallbackParams::gblerrCb</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Instance wide callback function to catch non-channel specific errors. 
</div>
</div><p>
<a class="anchor" name="f2a780928d2b6918ec49426a8ea60144"></a><!-- doxytag: member="EDMA3_RM_GblErrCallbackParams::gblerrData" ref="f2a780928d2b6918ec49426a8ea60144" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="structEDMA3__RM__GblErrCallbackParams.html#f2a780928d2b6918ec49426a8ea60144">EDMA3_RM_GblErrCallbackParams::gblerrData</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Application data to be passed back to the Global Error callback 
</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="edma3__rm_8h_source.html">edma3_rm.h</a></ul>
</div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Jul 7 19:26:49 2009 for EDMA3 Resource Manager by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.9 </small></address>
</body>
</html>
